## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

# prevent library files from being installed
%global cargo_install_lib 0

%global crate sigul-pesign-bridge

Name:           rust-sigul-pesign-bridge
Version:        0.3.1
Release:        %autorelease
Summary:        Bridge pesign-client requests to a Sigul signing server

License:        MIT
URL:            https://crates.io/crates/sigul-pesign-bridge
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  systemd-rpm-macros

%global _description %{expand:
Drop-in replacement for pesign's daemon that bridges pesign-client
requests to a Sigul server.}

%description %{_description}

%package     -n sigul-pesign-bridge
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        Unicode-DFS-2016 AND (MIT OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND MIT AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

# Enables signature validation on signed objects
Recommends:     sbsigntools


%post -n sigul-pesign-bridge
%systemd_post sigul-pesign-bridge.service

%preun -n sigul-pesign-bridge
%systemd_preun sigul-pesign-bridge.service

%postun -n sigul-pesign-bridge
%systemd_postun_with_restart sigul-pesign-bridge.service


%description -n sigul-pesign-bridge %{_description}

%files       -n sigul-pesign-bridge
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/sigul-pesign-bridge
%{_unitdir}/sigul-pesign-bridge.service
%dir %{_sysconfdir}/sigul-pesign-bridge
%config(noreplace) %{_sysconfdir}/sigul-pesign-bridge/config.toml
%{_mandir}/man1/sigul-pesign-bridge.1*

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -D -p -m 0644 sigul-pesign-bridge.service %{buildroot}%{_unitdir}/sigul-pesign-bridge.service
install -D -p -m 0644 docs/sigul-pesign-bridge.1 %{buildroot}%{_mandir}/man1/sigul-pesign-bridge.1
install -D -p -m 0644 config.toml.example %{buildroot}%{_sysconfdir}/sigul-pesign-bridge/config.toml

%if %{with check}
%check
# * Integration tests require the network
%cargo_test -- --lib
%cargo_test -- --doc
%cargo_test -- --bins
%endif

%changelog
## START: Generated by rpmautospec
* Wed Mar 26 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 0.3.1-1
- Initial import (rhbz #2343280)
## END: Generated by rpmautospec
